searchData={"items":[{"type":"module","title":"Headless","doc":"","ref":"Headless.html"},{"type":"function","title":"Headless.combobox/1","doc":"Combobox (select + search) component.\n\nThis component is built from the ground up to be compatible with Phoenix LiveView\nincluding dynamicly changing the list of options.\nUnder the hood this component uses a hidden input to store the selected value\nto ensure seamless integration with Phoenix forms.\nOptions are rendered server-side using `:option` slot.\nThe client-side dropdown and search functionality is provided by Alpine.js\noperating directly on the rendered DOM.\n\nFeatures supported:\n- Client-side search\n- Keyboard navigation (arrows)\n- Keyboard selection (enter)\n- Mouse selection (click)\n\nExample:\n    <.combobox field={form[:user_id]} options={@users} value={&1 &1.id} searchkey={& [&1.name, &1.email]}>\n      <:selected :let={user}><%= user.name %></:selected>\n      <:option :let={user}><%= user.name %> - <%= user.email %></:option>\n    </.combobox>","ref":"Headless.html#combobox/1"},{"type":"function","title":"Attributes - Headless.combobox/1","doc":"* `field` (`Phoenix.HTML.FormField`)\n* `options` (`:list`)\n* `value` (`:any`) - Function returning value for option.\n* `searchkey` (`:any`) - Function returning search key for option.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Headless.html#combobox/1-attributes"},{"type":"function","title":"Slots - Headless.combobox/1","doc":"* `selected` - Slot rendering the selected option. Accepts attributes:\n\n  * `class` (`:any`)\n* `option` - Slot rendering option inside the panel.\n* `placeholder` - Placeholder shown when no option is selected. Accepts attributes:\n\n  * `class` (`:any`)\n* `button` - Button that opens the panel. Accepts attributes:\n\n  * `class` (`:any`)\n* `search` - Search input. Accepts attributes:\n\n  * `class` (`:any`)\n  * `placeholder` (`:string`)\n* `panel` - Container for options. Accepts attributes:\n\n  * `class` (`:any`)","ref":"Headless.html#combobox/1-slots"},{"type":"function","title":"Headless.input/1","doc":"Render input for a form field.\n\nHeavily based on default Phoenix generated CoreComponents","ref":"Headless.html#input/1"},{"type":"function","title":"Attributes - Headless.input/1","doc":"* `field` (`Phoenix.HTML.FormField`)\n* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* Global attributes are accepted.","ref":"Headless.html#input/1-attributes"},{"type":"function","title":"Slots - Headless.input/1","doc":"* `inner_block`","ref":"Headless.html#input/1-slots"},{"type":"function","title":"Headless.toggle/1","doc":"Toggle (switch) component.\n\nUses regular checkbox input under the hood.\n\nExample:\n    <.toggle field={form[:is_admin]}/>","ref":"Headless.html#toggle/1"},{"type":"function","title":"Attributes - Headless.toggle/1","doc":"* `field` (`Phoenix.HTML.FormField`) (required)\n* Global attributes are accepted.","ref":"Headless.html#toggle/1-attributes"},{"type":"function","title":"Slots - Headless.toggle/1","doc":"* `inner_block` (required)\n* `input` - Accepts attributes:\n\n  * `class` (`:any`)","ref":"Headless.html#toggle/1-slots"},{"type":"module","title":"Headless.Examples","doc":"","ref":"Headless.Examples.html"},{"type":"function","title":"Headless.Examples.live_view/0","doc":"","ref":"Headless.Examples.html#live_view/0"},{"type":"module","title":"Headless.Examples.Application","doc":"","ref":"Headless.Examples.Application.html"},{"type":"function","title":"Headless.Examples.Application.start/2","doc":"","ref":"Headless.Examples.Application.html#start/2"},{"type":"module","title":"Headless.Examples.Components","doc":"","ref":"Headless.Examples.Components.html"},{"type":"function","title":"Headless.Examples.Components.users_combobox/1","doc":"","ref":"Headless.Examples.Components.html#users_combobox/1"},{"type":"function","title":"Attributes - Headless.Examples.Components.users_combobox/1","doc":"* `field` (`Phoenix.HTML.FormField`)\n* `users` (`:list`)","ref":"Headless.Examples.Components.html#users_combobox/1-attributes"},{"type":"module","title":"Headless.Examples.Endpoint","doc":"","ref":"Headless.Examples.Endpoint.html"},{"type":"function","title":"Headless.Examples.Endpoint.broadcast/3","doc":"","ref":"Headless.Examples.Endpoint.html#broadcast/3"},{"type":"function","title":"Headless.Examples.Endpoint.broadcast!/3","doc":"","ref":"Headless.Examples.Endpoint.html#broadcast!/3"},{"type":"function","title":"Headless.Examples.Endpoint.broadcast_from/4","doc":"","ref":"Headless.Examples.Endpoint.html#broadcast_from/4"},{"type":"function","title":"Headless.Examples.Endpoint.broadcast_from!/4","doc":"","ref":"Headless.Examples.Endpoint.html#broadcast_from!/4"},{"type":"function","title":"Headless.Examples.Endpoint.call/2","doc":"","ref":"Headless.Examples.Endpoint.html#call/2"},{"type":"function","title":"Headless.Examples.Endpoint.child_spec/1","doc":"Returns the child specification to start the endpoint\nunder a supervision tree.","ref":"Headless.Examples.Endpoint.html#child_spec/1"},{"type":"function","title":"Headless.Examples.Endpoint.config/2","doc":"Returns the endpoint configuration for `key`\n\nReturns `default` if the key does not exist.","ref":"Headless.Examples.Endpoint.html#config/2"},{"type":"function","title":"Headless.Examples.Endpoint.config_change/2","doc":"Reloads the configuration given the application environment changes.","ref":"Headless.Examples.Endpoint.html#config_change/2"},{"type":"function","title":"Headless.Examples.Endpoint.host/0","doc":"Returns the host for the given endpoint.","ref":"Headless.Examples.Endpoint.html#host/0"},{"type":"function","title":"Headless.Examples.Endpoint.init/1","doc":"","ref":"Headless.Examples.Endpoint.html#init/1"},{"type":"function","title":"Headless.Examples.Endpoint.local_broadcast/3","doc":"","ref":"Headless.Examples.Endpoint.html#local_broadcast/3"},{"type":"function","title":"Headless.Examples.Endpoint.local_broadcast_from/4","doc":"","ref":"Headless.Examples.Endpoint.html#local_broadcast_from/4"},{"type":"function","title":"Headless.Examples.Endpoint.path/1","doc":"Generates the path information when routing to this endpoint.","ref":"Headless.Examples.Endpoint.html#path/1"},{"type":"function","title":"Headless.Examples.Endpoint.script_name/0","doc":"Generates the script name.","ref":"Headless.Examples.Endpoint.html#script_name/0"},{"type":"function","title":"Headless.Examples.Endpoint.server_info/1","doc":"Returns the address and port that the server is running on","ref":"Headless.Examples.Endpoint.html#server_info/1"},{"type":"function","title":"Headless.Examples.Endpoint.start_link/1","doc":"Starts the endpoint supervision tree.\n\nAll other options are merged into the endpoint configuration.","ref":"Headless.Examples.Endpoint.html#start_link/1"},{"type":"function","title":"Headless.Examples.Endpoint.static_integrity/1","doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file\nin `priv/static`. Meant to be used for Subresource Integrity with CDNs.","ref":"Headless.Examples.Endpoint.html#static_integrity/1"},{"type":"function","title":"Headless.Examples.Endpoint.static_lookup/1","doc":"Returns a two item tuple with the first item being the `static_path`\nand the second item being the `static_integrity`.","ref":"Headless.Examples.Endpoint.html#static_lookup/1"},{"type":"function","title":"Headless.Examples.Endpoint.static_path/1","doc":"Generates a route to a static file in `priv/static`.","ref":"Headless.Examples.Endpoint.html#static_path/1"},{"type":"function","title":"Headless.Examples.Endpoint.static_url/0","doc":"Generates the static URL without any path information.\n\nIt uses the configuration under `:static_url` to generate\nsuch. It falls back to `:url` if `:static_url` is not set.","ref":"Headless.Examples.Endpoint.html#static_url/0"},{"type":"function","title":"Headless.Examples.Endpoint.struct_url/0","doc":"Generates the endpoint base URL but as a `URI` struct.\n\nIt uses the configuration under `:url` to generate such.\nUseful for manipulating the URL data and passing it to\nURL helpers.","ref":"Headless.Examples.Endpoint.html#struct_url/0"},{"type":"function","title":"Headless.Examples.Endpoint.subscribe/2","doc":"","ref":"Headless.Examples.Endpoint.html#subscribe/2"},{"type":"function","title":"Headless.Examples.Endpoint.unsubscribe/1","doc":"","ref":"Headless.Examples.Endpoint.html#unsubscribe/1"},{"type":"function","title":"Headless.Examples.Endpoint.url/0","doc":"Generates the endpoint base URL without any path information.\n\nIt uses the configuration under `:url` to generate such.","ref":"Headless.Examples.Endpoint.html#url/0"},{"type":"module","title":"Headless.Examples.FormLive","doc":"","ref":"Headless.Examples.FormLive.html"},{"type":"function","title":"Headless.Examples.FormLive.handle_event/3","doc":"","ref":"Headless.Examples.FormLive.html#handle_event/3"},{"type":"function","title":"Headless.Examples.FormLive.mount/3","doc":"","ref":"Headless.Examples.FormLive.html#mount/3"},{"type":"function","title":"Headless.Examples.FormLive.render/1","doc":"","ref":"Headless.Examples.FormLive.html#render/1"},{"type":"module","title":"Headless.Examples.Layouts","doc":"","ref":"Headless.Examples.Layouts.html"},{"type":"function","title":"Headless.Examples.Layouts.app/1","doc":"","ref":"Headless.Examples.Layouts.html#app/1"},{"type":"module","title":"Headless.Examples.Project","doc":"","ref":"Headless.Examples.Project.html"},{"type":"function","title":"Headless.Examples.Project.changeset/2","doc":"","ref":"Headless.Examples.Project.html#changeset/2"},{"type":"module","title":"Headless.Examples.Router","doc":"","ref":"Headless.Examples.Router.html"},{"type":"function","title":"Headless.Examples.Router.browser/2","doc":"","ref":"Headless.Examples.Router.html#browser/2"},{"type":"function","title":"Headless.Examples.Router.call/2","doc":"Callback invoked by Plug on every request.","ref":"Headless.Examples.Router.html#call/2"},{"type":"function","title":"Headless.Examples.Router.init/1","doc":"Callback required by Plug that initializes the router\nfor serving web requests.","ref":"Headless.Examples.Router.html#init/1"},{"type":"module","title":"Headless.Examples.Tailwind","doc":"Example of how to use Tailwind CSS top style Headless components.","ref":"Headless.Examples.Tailwind.html"},{"type":"function","title":"Headless.Examples.Tailwind.combobox/1","doc":"","ref":"Headless.Examples.Tailwind.html#combobox/1"},{"type":"function","title":"Attributes - Headless.Examples.Tailwind.combobox/1","doc":"* `field` (`Phoenix.HTML.FormField`)\n* `options` (`:list`)\n* `value` (`:any`)\n* `searchkey` (`:any`)\n* Global attributes are accepted.","ref":"Headless.Examples.Tailwind.html#combobox/1-attributes"},{"type":"function","title":"Slots - Headless.Examples.Tailwind.combobox/1","doc":"* `selected`\n* `placeholder`\n* `option` (required)","ref":"Headless.Examples.Tailwind.html#combobox/1-slots"},{"type":"function","title":"Headless.Examples.Tailwind.styles/1","doc":"","ref":"Headless.Examples.Tailwind.html#styles/1"},{"type":"function","title":"Headless.Examples.Tailwind.toggle/1","doc":"","ref":"Headless.Examples.Tailwind.html#toggle/1"},{"type":"function","title":"Attributes - Headless.Examples.Tailwind.toggle/1","doc":"* `field` (`Phoenix.HTML.FormField`)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Headless.Examples.Tailwind.html#toggle/1-attributes"},{"type":"module","title":"Headless.Examples.User","doc":"","ref":"Headless.Examples.User.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}